Lisp for visual making views

I've a french autocad.
I want to make and name a view in the object space viewport directly. A lisp (edview.lsp)
(defun c:ev ()
(setq pt1 (getpoint "\n1corner of the view")) (setq pt2 (getpoint "\n2corner of the view"))")) (setq txt (getstring "\nname of the view :")) (command "view" "w" txt pt1 pt2) (princ) )
I make all it's ask, including name of the view. Then a prompt appear, who's says "name of the view" unknow command.
Any Idea ?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
snipped-for-privacy@hotmail.fr 写道:

This will be OK!
(defun C:ev ()     (setq pt1 (getpoint "\n1corner of the view"))     (setq pt2 (getpoint "\n2corner of the view"))     (setq txt (getstring "\nname of the view :"))     (command "view" "w" txt pt1 pt2)     (princ) )
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.